#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidPageToken {
    #[builder(into)]
    #[serde(rename = "nextPageToken")]
    next_page_token: String,
}
impl InvalidPageToken {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(next_page_token: impl Into<String>) -> Self {
        Self::builder().next_page_token(next_page_token).build()
    }
    #[inline]
    pub fn next_page_token(&self) -> &str {
        &*self.next_page_token
    }
}
impl conjure_error::ErrorType for InvalidPageToken {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "DataReview:InvalidPageToken"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &[]
    }
}
